package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpProductionDetailDirectListVO {
   @ApiModelProperty("生产计划明细id")
   private Long productionDetailId;
   @ApiModelProperty("生产计划单号")
   private String productionPlanId;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品")
   private String dishesName;
   @ApiModelProperty("菜品份数(按份)")
   private Integer dishesNum;

   public Long getProductionDetailId() {
      return this.productionDetailId;
   }

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getDishesNum() {
      return this.dishesNum;
   }

   public DrpProductionDetailDirectListVO setProductionDetailId(final Long productionDetailId) {
      this.productionDetailId = productionDetailId;
      return this;
   }

   public DrpProductionDetailDirectListVO setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
      return this;
   }

   public DrpProductionDetailDirectListVO setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
      return this;
   }

   public DrpProductionDetailDirectListVO setDishesName(final String dishesName) {
      this.dishesName = dishesName;
      return this;
   }

   public DrpProductionDetailDirectListVO setDishesNum(final Integer dishesNum) {
      this.dishesNum = dishesNum;
      return this;
   }
}
